org.wildfly.swarm.messaging

## Class EnhancedServer

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.Server<EnhancedServer>
      - - org.wildfly.swarm.messaging.EnhancedServer

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class EnhancedServer
      extends Server<EnhancedServer>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.messaging.activemq.Server

      `Server.JournalType, Server.ServerResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnhancedServer(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnhancedServer` | `enableClustering()`
    `EnhancedServer` | `enableInVm()`
    `EnhancedServer` | `enableRemote()`
    `EnhancedServer` | `jmsQueue(String childKey, JMSQueueConsumer config)` Create and configure a JMSQueue object to the list of subresources
    `EnhancedServer` | `jmsTopic(String childKey, JMSTopicConsumer config)` Create and configure a JMSTopic object to the list of subresources
    `EnhancedServer` | `remoteConnection()` Setup a default remote connection to a remote message broker.
    `EnhancedServer` | `remoteConnection(RemoteConnection.Supplier supplier)` Setup a remote connection to a remote message broker.
    `EnhancedServer` | `remoteConnection(RemoteConnection connection)` Setup a remote connection to a remote message broker.
    `EnhancedServer` | `remoteConnection(String name)` Setup a default named remote connection to a remote message broker.
    `EnhancedServer` | `remoteConnection(String name, RemoteConnection.Consumer config)` Setup a named remote connection to a remote message broker.
    `List<RemoteConnection>` | `remoteConnections()`
    `EnhancedServer` | `remoteJmsQueue(String childKey)`
    `EnhancedServer` | `remoteJmsQueue(String childKey, JMSQueueConsumer config)`
    `EnhancedServer` | `remoteJmsTopic(String childKey)`
    `EnhancedServer` | `remoteJmsTopic(String childKey, JMSTopicConsumer config)`

    - ### Methods inherited from class org.wildfly.swarm.config.messaging.activemq.Server

      `acceptor, acceptor, acceptor, acceptor, acceptors, active, active, addPropertyChangeListener, addressSetting, addressSetting, addressSetting, addressSetting, addressSettings, asyncConnectionExecutionEnabled, asyncConnectionExecutionEnabled, bindingsDirectoryPath, bindingsDirectoryPath, bindingsDirectoryPath, bindingsDirectoryPath, bridge, bridge, bridge, bridge, bridges, broadcastGroup, broadcastGroup, broadcastGroup, broadcastGroup, broadcastGroups, clusterConnection, clusterConnection, clusterConnection, clusterConnection, clusterConnections, clusterPassword, clusterPassword, clusterUser, clusterUser, connectionFactories, connectionFactory, connectionFactory, connectionFactory, connectionFactory, connectionTtlOverride, connectionTtlOverride, connector, connector, connector, connector, connectors, connectorService, connectorService, connectorService, connectorService, connectorServices, coreAddress, coreAddress, coreAddress, coreAddress, coreAddress, createBindingsDir, createBindingsDir, createJournalDir, createJournalDir, discoveryGroup, discoveryGroup, discoveryGroup, discoveryGroup, discoveryGroups, divert, divert, divert, divert, diverts, getKey, groupingHandler, groupingHandler, groupingHandler, groupingHandler, groupingHandlers, httpAcceptor, httpAcceptor, httpAcceptor, httpAcceptor, httpAcceptors, httpConnector, httpConnector, httpConnector, httpConnector, httpConnectors, idCacheSize, idCacheSize, incomingInterceptor, incomingInterceptors, incomingInterceptors, incomingInterceptors, inVmAcceptor, inVmAcceptor, inVmAcceptor, inVmAcceptor, inVmAcceptors, inVmConnector, inVmConnector, inVmConnector, inVmConnector, inVmConnectors, jmsQueue, jmsQueue, jmsQueue, jmsQueues, jmsTopic, jmsTopic, jmsTopic, jmsTopics, jmxDomain, jmxDomain, jmxManagementEnabled, jmxManagementEnabled, journalBufferSize, journalBufferSize, journalBufferTimeout, journalBufferTimeout, journalCompactMinFiles, journalCompactMinFiles, journalCompactPercentage, journalCompactPercentage, journalDirectoryPath, journalDirectoryPath, journalDirectoryPath, journalDirectoryPath, journalFileSize, journalFileSize, journalMaxIo, journalMaxIo, journalMinFiles, journalMinFiles, journalPoolFiles, journalPoolFiles, journalSyncNonTransactional, journalSyncNonTransactional, journalSyncTransactional, journalSyncTransactional, journalType, journalType, largeMessagesDirectoryPath, largeMessagesDirectoryPath, largeMessagesDirectoryPath, largeMessagesDirectoryPath, legacyConnectionFactories, legacyConnectionFactory, legacyConnectionFactory, legacyConnectionFactory, legacyConnectionFactory, liveOnlyHaPolicy, liveOnlyHaPolicy, liveOnlyHaPolicy, liveOnlyHaPolicy, logJournalWriteRate, logJournalWriteRate, managementAddress, managementAddress, managementNotificationAddress, managementNotificationAddress, memoryMeasureInterval, memoryMeasureInterval, memoryWarningThreshold, memoryWarningThreshold, messageCounterMaxDayHistory, messageCounterMaxDayHistory, messageCounterSamplePeriod, messageCounterSamplePeriod, messageExpiryScanPeriod, messageExpiryScanPeriod, messageExpiryThreadPriority, messageExpiryThreadPriority, outgoingInterceptor, outgoingInterceptors, outgoingInterceptors, outgoingInterceptors, overrideInVmSecurity, overrideInVmSecurity, pageMaxConcurrentIo, pageMaxConcurrentIo, pagingDirectoryPath, pagingDirectoryPath, pagingDirectoryPath, pagingDirectoryPath, perfBlastPages, perfBlastPages, persistDeliveryCountBeforeDelivery, persistDeliveryCountBeforeDelivery, persistenceEnabled, persistenceEnabled, persistIdCache, persistIdCache, pooledConnectionFactories, pooledConnectionFactory, pooledConnectionFactory, pooledConnectionFactory, pooledConnectionFactory, queue, queue, queue, queue, queues, remoteAcceptor, remoteAcceptor, remoteAcceptor, remoteAcceptor, remoteAcceptors, remoteConnector, remoteConnector, remoteConnector, remoteConnector, remoteConnectors, removePropertyChangeListener, replicationColocatedHaPolicy, replicationColocatedHaPolicy, replicationColocatedHaPolicy, replicationColocatedHaPolicy, replicationMasterHaPolicy, replicationMasterHaPolicy, replicationMasterHaPolicy, replicationMasterHaPolicy, replicationSlaveHaPolicy, replicationSlaveHaPolicy, replicationSlaveHaPolicy, replicationSlaveHaPolicy, runSyncSpeedTest, runSyncSpeedTest, runtimeQueue, runtimeQueue, runtimeQueue, runtimeQueue, runtimeQueues, scheduledThreadPoolMaxSize, scheduledThreadPoolMaxSize, securityDomain, securityDomain, securityEnabled, securityEnabled, securityInvalidationInterval, securityInvalidationInterval, securitySetting, securitySetting, securitySetting, securitySetting, securitySettings, serverDumpInterval, serverDumpInterval, sharedStoreColocatedHaPolicy, sharedStoreColocatedHaPolicy, sharedStoreColocatedHaPolicy, sharedStoreColocatedHaPolicy, sharedStoreMasterHaPolicy, sharedStoreMasterHaPolicy, sharedStoreMasterHaPolicy, sharedStoreMasterHaPolicy, sharedStoreSlaveHaPolicy, sharedStoreSlaveHaPolicy, sharedStoreSlaveHaPolicy, sharedStoreSlaveHaPolicy, started, started, statisticsEnabled, statisticsEnabled, subresources, threadPoolMaxSize, threadPoolMaxSize, transactionTimeout, transactionTimeout, transactionTimeoutScanPeriod, transactionTimeoutScanPeriod, version, version, wildCardRoutingEnabled, wildCardRoutingEnabled`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EnhancedServer

          public EnhancedServer(String key)

  - ### Method Detail

    - #### enableInVm

          public EnhancedServer enableInVm()

    - #### enableClustering

          public EnhancedServer enableClustering()

    - #### remoteConnection

          public EnhancedServer remoteConnection(RemoteConnection connection)

      Setup a remote connection to a remote message broker.
      Parameters:
        `connection` - The connection defailts.
      Returns:
        This server.

    - #### remoteConnection

          public EnhancedServer remoteConnection()

      Setup a default remote connection to a remote message broker.

      By default, it sets up a connection named `remote-mq`, connecting to `localhost` at port `61616`. The connection factory is named `java:/jms/remote-mq`.

      Returns:
        This server.

    - #### remoteConnection

          public EnhancedServer remoteConnection(String name)

      Setup a default named remote connection to a remote message broker.

      By default, it sets up a connection connecting to `localhost` at port `61616`. The connection factory is named `java:/jms/name`.

      Returns:
        This server.

    - #### remoteConnection

          public EnhancedServer remoteConnection(String name,
                                                 RemoteConnection.Consumer config)

      Setup a named remote connection to a remote message broker.
      Parameters:
        `name` - The name of the connection.
        `config` - The configuration.
      Returns:
        This server.

    - #### remoteConnection

          public EnhancedServer remoteConnection(RemoteConnection.Supplier supplier)

      Setup a remote connection to a remote message broker.
      Parameters:
        `supplier` - The supplier of the configuration.
      Returns:
        This server.

    - #### enableRemote

          public EnhancedServer enableRemote()

    - #### jmsQueue

          public EnhancedServer jmsQueue(String childKey,
                                         JMSQueueConsumer config)

      Description copied from class: `Server`
      Create and configure a JMSQueue object to the list of subresources
      Overrides:
        `jmsQueue` in class `Server<EnhancedServer>`
      Returns:
        this

    - #### remoteJmsQueue

          public EnhancedServer remoteJmsQueue(String childKey)

    - #### remoteJmsQueue

          public EnhancedServer remoteJmsQueue(String childKey,
                                               JMSQueueConsumer config)

    - #### jmsTopic

          public EnhancedServer jmsTopic(String childKey,
                                         JMSTopicConsumer config)

      Description copied from class: `Server`
      Create and configure a JMSTopic object to the list of subresources
      Overrides:
        `jmsTopic` in class `Server<EnhancedServer>`
      Returns:
        this

    - #### remoteJmsTopic

          public EnhancedServer remoteJmsTopic(String childKey)

    - #### remoteJmsTopic

          public EnhancedServer remoteJmsTopic(String childKey,
                                               JMSTopicConsumer config)

    - #### remoteConnections

          public List<RemoteConnection> remoteConnections()

Copyright © 2017 JBoss by Red Hat. All rights reserved.